using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// Mail_ServerEdit ժҪ˵
	/// </summary>
	public class Mail_ServerEdit : BasePage
	{
		protected System.Web.UI.WebControls.CheckBox chkAuthLogin;
		protected System.Web.UI.WebControls.TextBox SmtpServer;
		protected System.Web.UI.WebControls.TextBox SmtpEmail;
		protected System.Web.UI.WebControls.TextBox SmtpAccount;
		protected System.Web.UI.WebControls.TextBox SmtpPassword;
		protected System.Web.UI.WebControls.Button btnSave;
		protected System.Web.UI.WebControls.Button btnSendTest;
		protected System.Web.UI.WebControls.TextBox EmailTest;
		MainSystem main = new MainSystem();
		RightMemberSystem rightmember = new RightMemberSystem();
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// ڴ˴ûԳʼҳ
			if(!IsPostBack)
			{
				if(!rightmember.Allow(0,"Mail",this.CurrentMemberID))
					Response.Redirect("noright.aspx");

				BindData();
			}
		}

		#region Web ɵĴ
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: õ ASP.NET Web ġ
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// ֧ķ - Ҫʹô༭޸
		/// ˷ݡ
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
			this.btnSendTest.Click += new System.EventHandler(this.btnSendTest_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		private void BindData()
		{
			SmtpServer.Text = Main.GetValue("SmtpServer").ToString();
			SmtpEmail.Text = Main.GetValue("SmtpEmail").ToString();
			SmtpAccount.Text = Main.GetValue("SmtpAccount").ToString();
			SmtpPassword.Text = Main.GetValue("SmtpPassword").ToString();
			chkAuthLogin.Checked = Convert.ToBoolean(Main.GetValue("SMTPServerAuthLogin"));
		}

		private void btnSave_Click(object sender, System.EventArgs e)
		{
			main.Update("SmtpServer",SmtpServer.Text);
			main.Update("SmtpEmail",SmtpEmail.Text);
			main.Update("SmtpAccount",SmtpAccount.Text);
			main.Update("SmtpPassword",SmtpPassword.Text);
			main.Update("SMTPServerAuthLogin",chkAuthLogin.Checked);
			this.AlertAndRedir("ʼñɹ","Mail_ServerEdit.aspx");
		}

		private void btnSendTest_Click(object sender, System.EventArgs e)
		{
			try
			{
				Utils.SendMail(SmtpEmail.Text,SmtpEmail.Text,"Աϵͳվ","յţȷ!");
				this.AlertAndRedir("ʼͳɹ"+SmtpEmail.Text+"ǷѾյ!","Mail_ServerEdit.aspx");
			}
			catch(Exception ex)
			{
				this.DisplayAlert("ʼʧܣ!"+ex.Message);
				//Response.Write(ex.Message);
			}
		}
	}
}
